execution-targets

Operations of the Biome Host API. Paths are relative to your deployment's API host.

GET /api/biome-host-api/execution-targets

List every execution target visible to this organisation, across owner spaces

Authentication: bearer token (Authorization: Bearer <token>)

StatusDescriptionBody
200application/json ExecutionTargetResponseDtoDataArrayEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

POST /api/biome-host-api/execution-targets

Declare an execution target owned by this organisation's Space

Authentication: bearer token (Authorization: Bearer <token>)

Request body: application/json CreateExecutionTargetDto

StatusDescriptionBody
201application/json ExecutionTargetResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto

PATCH /api/biome-host-api/execution-targets/{slug}

Patch the mutable subset of an execution target this organisation owns

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
slugpathstringyes

Request body: application/json UpdateExecutionTargetDto

StatusDescriptionBody
200application/json ExecutionTargetResponseDtoDataEnvelope
400application/problem+json ProblemDetailsDto
401application/problem+json ProblemDetailsDto
403application/problem+json ProblemDetailsDto
404application/problem+json ProblemDetailsDto
409application/problem+json ProblemDetailsDto
422application/problem+json ProblemDetailsDto
500application/problem+json ProblemDetailsDto